#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence;

namespace HeuristicLab.Optimization {
  [Item("Optimizer List", "Represents a list of optimizers.")]
  [StorableType("0097f8dd-c263-45db-88b3-45f0f46b6c45")]
  public class OptimizerList : ItemList<IOptimizer> {
    public OptimizerList() : base() { }
    public OptimizerList(int capacity) : base(capacity) { }
    public OptimizerList(IEnumerable<IOptimizer> collection) : base(collection) { }
    [StorableConstructor]
    protected OptimizerList(StorableConstructorFlag deserializing) : base(deserializing) { }
    protected OptimizerList(OptimizerList original, Cloner cloner)
      : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new OptimizerList(this, cloner);
    }
  }
}
